"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.loginUser = void 0;
const drizzle_orm_1 = require("drizzle-orm");
const http_1 = require("../../constants/http");
const db_1 = __importDefault(require("../../db"));
const schema_1 = require("../../db/schema");
const crypt_1 = require("../../utils/crypt");
const jwt_1 = require("../../utils/jwt");
/**
 * loginUser
 */
const loginUser = async ({ body }, res) => {
    try {
        const { username, password } = body;
        const users = await db_1.default
            .select()
            .from(schema_1.tableUsers)
            .where((0, drizzle_orm_1.eq)(schema_1.tableUsers.username, username));
        const user = users[0];
        if (password.length > 0 &&
            user &&
            user.password &&
            user.password?.length > 0) {
            await (0, crypt_1.validateHash)(password, user.password);
            const accessToken = (0, jwt_1.generateJwt)(user);
            res.status(http_1.HTTP_SUCCESS.OK).json({ accessToken });
        }
        else {
            res.status(http_1.HTTP_CLIENT_ERROR.FORBIDDEN).send("Not today, buddy");
        }
    }
    catch (error) {
        res.status(http_1.HTTP_SERVER_ERROR.INTERNAL_SERVER_ERROR).send("Error logging in");
    }
};
exports.loginUser = loginUser;
