"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = require("express");
const jwt_1 = require("../middleware/jwt");
const createUser_1 = require("../controllers/users/createUser");
const deleteUser_1 = require("../controllers/users/deleteUser");
const getAllUsers_1 = require("../controllers/users/getAllUsers");
const getUser_1 = require("../controllers/users/getUser");
const updateUser_1 = require("../controllers/users/updateUser");
const router = (0, express_1.Router)();
router
    .get("/", jwt_1.authenticateToken, getAllUsers_1.getAllUsers)
    .get("/:id", jwt_1.authenticateToken, getUser_1.getUser)
    .put("/:id", jwt_1.authenticateToken, updateUser_1.updateUser)
    .delete("/:id", jwt_1.authenticateToken, deleteUser_1.deleteUser)
    .post("/register", createUser_1.createUser);
exports.default = router;
