"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getUser = void 0;
const drizzle_orm_1 = require("drizzle-orm");
const http_1 = require("../../constants/http");
const db_1 = __importDefault(require("../../db"));
const schema_1 = require("../../db/schema");
const logger_1 = require("../../utils/logger");
/**
 * getUser
 */
const getUser = async (req, res) => {
    try {
        const userId = req.params.id;
        const user = await db_1.default
            .select()
            .from(schema_1.tableUsers)
            .where((0, drizzle_orm_1.eq)(schema_1.tableUsers.id, Number(userId)));
        return res.status(http_1.HTTP_SUCCESS.OK).json(user);
    }
    catch (error) {
        logger_1.logger.error(error);
        {
            res
                .status(http_1.HTTP_SERVER_ERROR.INTERNAL_SERVER_ERROR)
                .send("Error getting users");
        }
    }
};
exports.getUser = getUser;
