"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tableFederatedCredentials = exports.tableUsers = exports.enumUserStatus = exports.enumUserRole = void 0;
const drizzle_orm_1 = require("drizzle-orm");
const pg_core_1 = require("drizzle-orm/pg-core");
exports.enumUserRole = (0, pg_core_1.pgEnum)("userRole", [
    "owner",
    "admin",
    "moderator",
    "default",
]);
exports.enumUserStatus = (0, pg_core_1.pgEnum)("userVerification", [
    "banned",
    "deleted",
    "pending",
    "rejected",
    "suspended",
    "unverified",
    "verified",
]);
exports.tableUsers = (0, pg_core_1.pgTable)("users", {
    id: (0, pg_core_1.serial)("id").primaryKey(),
    firstName: (0, pg_core_1.text)("first_name"),
    lastName: (0, pg_core_1.text)("last_name"),
    email: (0, pg_core_1.text)("email").unique().notNull(),
    email_verified: (0, exports.enumUserStatus)("user_status").default("unverified"),
    username: (0, pg_core_1.text)("username").unique().notNull(),
    password: (0, pg_core_1.text)("password"),
    createdAt: (0, pg_core_1.timestamp)("created_at").default((0, drizzle_orm_1.sql) `now()`),
    role: (0, exports.enumUserRole)("userRole").default("default"),
});
exports.tableFederatedCredentials = (0, pg_core_1.pgTable)("federatedCredentials", {
    user_id: (0, pg_core_1.serial)("user_id").notNull().primaryKey(),
    provider: (0, pg_core_1.text)("provider").notNull(),
    subject: (0, pg_core_1.text)("subject").notNull().unique(),
});
