"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateJwt = void 0;
const jsonwebtoken_1 = __importDefault(require("jsonwebtoken"));
const DEFAULT_JWT_TOKEN_EXPIRY = "1m";
const generateJwt = (userPayload) => {
    const secret = process.env.JWT_TOKEN_SECRET;
    if (secret == null)
        throw new Error("JWT secret not found");
    return jsonwebtoken_1.default.sign(userPayload, secret, {
        expiresIn: process.env.JWT_TOKEN_EXPIRY ?? DEFAULT_JWT_TOKEN_EXPIRY,
    });
};
exports.generateJwt = generateJwt;
